package cz.moneta.test.dsl.mwf.gdprconsent;

import cz.moneta.test.harness.support.mwf.MwfRequest;
import cz.moneta.test.harness.support.mwf.Parameter;

public interface MWF6FA extends MwfRequest<MWF6FA, MWF6FAResponse> {

    @Parameter(name = "BusinessType")
    MWF6FA businessType(String businessType);
    @Parameter(name = "ClientInstId")
    MWF6FA clientInstId(String clientInstId);
    @Parameter(name = "ClientInstKey")
    MWF6FA clientInstKey(Long clientInstKey);
    @Parameter(name = "ClientInstSysId")
    MWF6FA clientInstSysId(String clientInstSysId);
    @Parameter(name = "ClientRelationInstKey")
    MWF6FA clientRelationInstKey(Long clientRelationInstKey);
    @Parameter(name = "ClientRelationInstSysId")
    MWF6FA clientRelationInstSysId(String clientRelationInstSysId);
    @Parameter(name = "ClientRelationUniKey")
    MWF6FA clientRelationUniKey(Long clientRelationUniKey);
    @Parameter(name = "ClientType")
    MWF6FA clientType(String clientType);
    @Parameter(name = "ClientUniKey")
    MWF6FA clientUniKey(Long clientUniKey);
    @Parameter(name = "ConsType_CommBankSecretByUnsecured")
    MWF6FA consTypeCommBankSecretByUnsecured(String consTypeCommBankSecretByUnsecured);
    @Parameter(name = "ConsType_IdentityDataProcessing")
    MWF6FA consTypeIdentityDataProcessing(String consTypeIdentityDataProcessing);
    @Parameter(name = "ConsType_IdentityPapersCopy")
    MWF6FA consTypeIdentityPapersCopy(String consTypeIdentityPapersCopy);
    @Parameter(name = "ConsType_MarketingByAllChannels")
    MWF6FA consTypeMarketingByAllChannels(String consTypeMarketingByAllChannels);
    @Parameter(name = "ConsType_MarketingByEmail")
    MWF6FA consTypeMarketingByEmail(String consTypeMarketingByEmail);
    @Parameter(name = "ConsType_MarketingByOnline")
    MWF6FA consTypeMarketingByOnline(String consTypeMarketingByOnline);
    @Parameter(name = "ConsType_MarketingByPhone")
    MWF6FA consTypeMarketingByPhone(String consTypeMarketingByPhone);
    @Parameter(name = "ConsType_MarketingByPost")
    MWF6FA consTypeMarketingByPost(String consTypeMarketingByPost);
    @Parameter(name = "ConsType_MarketingBySurvey")
    MWF6FA consTypeMarketingBySurvey(String consTypeMarketingBySurvey);
    @Parameter(name = "ConsType_MarketingByTextMessage")
    MWF6FA consTypeMarketingByTextMessage(String consTypeMarketingByTextMessage);
    @Parameter(name = "ConsType_RegistryCBCB")
    MWF6FA consTypeRegistryCBCB(String consTypeRegistryCBCB);
    @Parameter(name = "ConsType_RegistryCNCB")
    MWF6FA consTypeRegistryCNCB(String consTypeRegistryCNCB);
    @Parameter(name = "ConsType_RegistrySolusNegative")
    MWF6FA consTypeRegistrySolusNegative(String consTypeRegistrySolusNegative);
    @Parameter(name = "ConsType_RegistryTelcoScore")
    MWF6FA consTypeRegistryTelcoScore(String consTypeRegistryTelcoScore);
    @Parameter(name = "ConsentBranchId")
    MWF6FA consentBranchId(String consentBranchId);
    @Parameter(name = "ConsentChannelId")
    MWF6FA consentChannelId(String consentChannelId);
    @Parameter(name = "ConsentEmployeeId")
    MWF6FA consentEmployeeId(String consentEmployeeId);
    @Parameter(name = "ConsentMode")
    MWF6FA consentMode(String consentMode);
    @Parameter(name = "ConsentPromoterId")
    MWF6FA consentPromoterId(String consentPromoterId);
    @Parameter(name = "ConsentSellerId")
    MWF6FA consentSellerId(Long consentSellerId);
    @Parameter(name = "ConsentSetId")
    MWF6FA consentSetId(String consentSetId);
    @Parameter(name = "ConsentSignTime")
    MWF6FA consentSignTime(java.util.Date consentSignTime);
    @Parameter(name = "Data")
    MWF6FA data(java.util.List<MWF6FAData> data);
}